Bug 1203617 - CVE-2015-2317 python-django14: Django: possible XSS attack via user-supplied redirect URLs [fedora-20]
Summary: CVE-2015-2317 python-django14: Django: possible XSS attack via user-supplied ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django14
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-2317
TreeView+ depends on / blocked
 
Reported: 2015-03-19 09:37 UTC by Martin Prpič
Modified: 2015-06-18 13:24 UTC (History)
1 user (show)

Fixed In Version: python-django14-1.4.20-1.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-18 13:24:45 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-03-19 09:37:20 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

fedora-20 tracking bug for python-django14: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-03-19 09:37:26 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1202818,1203617

# Description of your update
notes=Security fix for CVE-2015-2317

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1202818,1203617

Comment 2 Fedora End Of Life 2015-05-29 13:45:19 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora Update System 2015-06-05 06:50:53 UTC
python-django14-1.4.20-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-django14-1.4.20-1.fc20

Comment 4 Fedora Update System 2015-06-07 16:03:12 UTC
Package python-django14-1.4.20-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-django14-1.4.20-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9604/python-django14-1.4.20-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-06-18 13:24:45 UTC
python-django14-1.4.20-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.